%define fname church
%define ttfdir %_datadir/fonts/default/TrueType-%fname

Name: %fname-fonts-ttf
Version: 20050115
Release: alt2

Summary: Church Slavonic TrueType fonts
Summary (ru_RU.KOI8-R): -  TrueType

License: see LICENSE file
Group: System/Fonts/True type
Url: http://irmologion.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name.tar.bz2

BuildArch: noarch

BuildRequires: ttmkfdir
PreReq: chkfontpath fontconfig

%description
This Package provides a Church Slavonic TrueType fonts
from Irmologion project.

%description -l ru_RU.KOI8-R
    -
 TrueType  .

%prep
%setup -q -n %name

%install
%__mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -f %fname -o ./fonts.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir

%files
%doc AUTHORS README ChangeLog ReadMe.txt LICENSE
%dir %ttfdir
%ttfdir/*.ttf
%config %ttfdir/fonts.cache-1
%config %ttfdir/fonts.dir

%changelog
* Thu Mar 24 2005 Vitaly Lipatov <lav@altlinux.ru> 20050115-alt2
- remove special version of fonts for IE and Finale

* Sat Jan 15 2005 Vitaly Lipatov <lav@altlinux.ru> 20050115-alt1
- new font StaroUspenskaya
- fix spec
- rebuild with new ttmkfdir

* Fri Dec 17 2004 Vitaly Lipatov <lav@altlinux.ru> 20040618-alt2
- spec fixes from Vyacheslav Dikonov <slava@altlinux.ru>
- link to encodings.dir is removed

* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 20040618-alt1
- correct postun section (bug #3673). Thanks to Michael Shigorin
- new fonts Indycton, Triodion, Vertograd, Zlatoust, Orthodox

* Mon Jan 12 2004 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt3
- rebuild with some changes and fonts.dir inside

* Wed Aug 27 2003 Vyacheslav Dikonov <slava@altlinux.ru> 20030330-alt2
- Changed dir
- Cleanups

* Thu Apr 03 2003 Vitaly Lipatov <lav@altlinux.ru> 20030330-alt1
- first ALTLinux build
